Skip to main content

Signicat Usage Api (1)

Download OpenAPI specification:Download

  • Base URL: https://api.signicat.com/usage/
  • Documentation: See the Dashboard developer documentation.
  • Support: Create a support ticket in the Signicat Dashboard.

Introduction

The Signicat Usage API enables you to retrieve usage information from your Signicat organisations and accounts.

This API is part of our management APIs, which allow you to programmatically manage configurations that are typically handled in the Signicat Dashboard.

This REST API uses the OAuth 2.0 protocol for authorisation. All request and response bodies are formatted in JSON.

Get started

Note: You need to provide signicat-organizationid or signicat-accountid in the request headers for all API calls.

usage

Api for reading usage Note! Header signicat-organizationid or signicat-accountid must be provided for all calls

Request to read usage data for either an organisation or an account

Authorizations:
Bearer
query Parameters
fromDate
string <date>
Example: fromDate=2024-03-01

First date to fetch usage

toDate
string <date>
Example: toDate=2025-01-15

Last date to fetch usage

includeExternalReference
boolean

Set to true if external references are to be included in the response

aggregateByPeriod
string (PeriodAggregationLevel)
Enum: "daily" "monthly" "quarterly" "yearly"
Example: aggregateByPeriod=monthly

Timeframe to aggregate usage. Daily, Monthly, Quarterly or Yearly

aggregateByLevel
string (ScopeAggregationLevel)
Enum: "account" "organization"
Example: aggregateByLevel=organization

Specifies if aggregation of usage is done at account or organisation level

includeChildOrganizations
boolean

Set to true if child organisations are to be included

offset
integer <int32>
Example: offset=200

Which entry to start reading the response

limit
integer <int32>
Example: limit=100

Number of entries to included in the response

Responses

Response samples

Content type
application/json
{
  • "previous": "http://example.com",
  • "data": [
    ]
}